#
# This rpm is based on the git tree from:
# git://git.kernel.org/pub/scm/linux/kernel/git/dwmw2/linux-firmware.git
# version is date of the younger commit
#

Summary:	Extra linux kernel firmware files
Name:   	kernel-firmware-extra
Version:	20120510
Release:	%mkrel 1
License:	Proprietary
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
# kernel-firmware tarball is generated from the git tree mentioned
# above, by simply cloning it and doing:
# tar --exclude-vcs -Jcf kernel-firmware-extra-version.tar.xz linux-firmware
Source: 	kernel-firmware-extra-%{version}.tar.xz
BuildRequires:	kernel-firmware >= 20120218
Conflicts:	kernel-firmware < 20120218
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
This package contains extra redistributable etc. firmwares for in-kernel
drivers. It is shared for all kernels.

%prep
%setup -q -n linux-firmware

# don't include firmware already in kernel-firmware package
for fir in `rpm -ql kernel-firmware | grep '^/lib/firmware/' | \
            sed 's|^/lib/firmware/||'`; do
	[ -f "$fir" ] || continue
	rm -f "$fir"
done
for dir in `find . -type d | sed -e 's|^\.||' -e 's|^/||'`; do
	rmdir -p --ignore-fail-on-non-empty $dir
done

# remove files provided in iwlwifi-*-ucode* packages
rm -f LICENCE.iwlwifi_firmware
rm -f iwlwifi-{100-5,1000-{3,5},{3945,4965,5150}-2,5000-{1,2,5},6000-4,6000g2{a,b}-5,6050-{4,5}}.ucode

# remove all radeon files as they are provided by kernel-firmware and radeon-firmware
rm -f LICENCE.radeon_rlc
rm -rf radeon

# remove files provided in rt*-firmware packages
rm -f LICENSE.ralink-firmware.txt
rm -f rt2561{,s}.bin rt2661.bin rt28{6,7}0.bin rt3070.bin rt3090.bin rt73.bin

# remove unwanted source files
rm -f dsp56k/bootstrap.asm keyspan_pda/*.S
# FIXME: usbdux*.bin firmware should be in kernel-firmware or another
# separate package (not in non-free), usbdux*.bin is GPL licensed
rm -rf usbdux

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
cp -avf * %{buildroot}/lib/firmware
rm -f %{buildroot}/lib/firmware/LICENCE.*

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
/lib/firmware/*


%changelog
* Thu May 10 2012 Bernhard Rosenkraenzer <bero@bero.eu> 20120510-1mdv2012.0
+ Revision: 798085
- Update
- Fix conflicts with kernel-firmware

* Wed Oct 26 2011 Александр Казанцев <kazancas@mandriva.org> 20110817-1
+ Revision: 707396
- update to 20110817 snapshot (from Mageia, thanks tmb)
 - sync BR to kernel-firmware-20110904
 - fix broken/missing rt3070.bin (broken symlink)
 - add firmware needed for Intel C600 Series Chipset SAS Controller
 - add OLPC libertas blobs
 - wl12xx: Updated STA& AP FW for WL128x&
 - wl127xwl12xx: Updated STA& AP FW for wl12xx-fw-3
 - rtl8712u: Upgrade to firmware found in vendor's V2.6.6
 - rtlwifi: sync rtl8192ce/se/de firmware from vendor 0004.0816.2011 driver
 - updates atk_htc firmware to 1.3 so it works with 3.0+ kernels
 - adds ar3k - Atheros support for AR3001 WiFi-Bluetooth combo
 - adds ath6k - Atheros support for AR6003 WiFi-Bluetooth combo
 - adds drxk - Micronas DRX-K demodulator
 - adds ene-ub6250 - ENE UB6250 SD card reader
 - update to 2011-05-17 (adds some missing r8169 and bnx2 fw)

* Thu May 05 2011 Thomas Backlund <tmb@mandriva.org> 20110428-1
+ Revision: 669524
- update to 2011-04-28

* Mon Apr 11 2011 Thomas Backlund <tmb@mandriva.org> 20110310-2
+ Revision: 652732
- symlink brcm80211 firmware files according to what the driver expects (Mageia #327)

* Tue Mar 22 2011 Thomas Backlund <tmb@mandriva.org> 20110310-1
+ Revision: 647607
- update to 2011-03-10
- remove iwlwifi firmwares shipped separately
- remove all radeon firmwares as they are now in radeon-firmware

* Fri Feb 04 2011 Thomas Backlund <tmb@mandriva.org> 20110125-1
+ Revision: 635981
- update to 2011-01-25 snapshot
- remove firmware shipped in radeon-rlc-firmware

* Thu Dec 30 2010 Thomas Backlund <tmb@mandriva.org> 20101220-1mnb2
+ Revision: 626441
- update to 2010-12-20 snapshot

* Thu Nov 04 2010 Thomas Backlund <tmb@mandriva.org> 20101102-1mnb2
+ Revision: 593286
- update to 2010-11-02

* Mon Sep 13 2010 Thomas Backlund <tmb@mandriva.org> 20100911-1mnb2
+ Revision: 577897
- update to 2010-09-11

* Sun Aug 15 2010 Thomas Backlund <tmb@mandriva.org> 20100807-1mnb2
+ Revision: 570141
- update to 2010-08-07

* Sun May 09 2010 Thomas Backlund <tmb@mandriva.org> 20100429-2mnb2
+ Revision: 544219
- remove rt3090 firmware as it's already shipped in a separate rt3090-firmware rpm

* Sat May 01 2010 Thomas Backlund <tmb@mandriva.org> 20100429-1mnb2
+ Revision: 541452
- update to 20100429
  - adds Amd Evergreen (HD5xxx) firmwares
  - adds Atheros ar9271 firmware
  - adds Ralink rt3070, rt3071, rt3090 firmwares
  - adds Sensoray s2250 firmware
  - adds Realtek 8192e firmware
  - adds Atheros Bluetooth ar3011 firmware

* Sun Feb 07 2010 Thomas Backlund <tmb@mandriva.org> 20100108-1mnb2
+ Revision: 501691
- remove iwlwifi firmwares provided by separate rpms
- update BR and Conflicts on kernel-firmware
- update to 2010-01-08

* Tue Nov 17 2009 Claudio Matsuoka <claudio@mandriva.com> 20091117-1mnb2
+ Revision: 467038
- Add firmware for p54 and kernel > 2.6.28

* Fri Jul 24 2009 Thomas Backlund <tmb@mandriva.org> 20090723-1mnb2
+ Revision: 399154
- update to 2009-07-23

* Fri May 29 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090514-2mnb2
+ Revision: 380763
- Prevent some more source files to ship with main package.

* Fri May 29 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090514-1mnb2
+ Revision: 380700
- Updated to 20090514
- Use lzma for source tarball.

* Mon Mar 30 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090212-2mnb2
+ Revision: 362324
- Firmwares not splitted anymore by license from kernel-firmware package
  (#49195):
  * removed previous conflicts not needed anymore, and now uneeded
    obsoletes.
  * rebuild against kernel-firmware >= 20090111-2mnb2

* Wed Mar 18 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090212-1mnb2
+ Revision: 357429
- Updated to 20090212

* Tue Feb 17 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090120-1mnb2
+ Revision: 341924
- Updated to 20090120

* Fri Dec 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20081112-2mnb2
+ Revision: 310798
- Rebuild against kernel-firmware-20080922-2mnb2 (to provide all
  non-free firmware here).

* Fri Dec 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20081112-1mnb2
+ Revision: 310727
- import kernel-firmware-extra


